Bug 1591782 - [osp12] os-collect-config service running on the undercloud causes overcloud deployment failures
Summary: [osp12] os-collect-config service running on the undercloud causes overcloud ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: instack-undercloud
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z3
: 12.0 (Pike)
Assignee: Alex Schultz
QA Contact: Artem Hrechanychenko
URL:
Whiteboard:
Depends On: 1553367 1591783
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-15 14:31 UTC by Alex Schultz
Modified: 2018-08-20 13:02 UTC (History)
6 users (show)

Fixed In Version: instack-undercloud-7.4.12-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1553367
Environment:
Last Closed: 2018-08-20 13:01:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 13:02:26 UTC
OpenStack gerrit 553397 None None None 2018-06-15 14:31:50 UTC
Launchpad 1754426 None None None 2018-06-15 14:31:50 UTC

Comment 4 Artem Hrechanychenko 2018-07-04 16:01:56 UTC
VERIFIED


instack-undercloud-7.4.12-1.el7ost.noarch

(.venv) [ahre@KH329 infrared_3]$ cat plugins/virsh/tasks/download_images.yml 
# save current node to "{{ node_dict }}"
- include_vars:
    file: "{{ node.key }}"
    name: node_dict

- name: merge overriden settings to the separate var
  set_fact:
      topology_node: "{{ node_dict|default({}) | combine((override|default({})).get(node.key|basename|splitext|first, {}), recursive=True) }}"

- name: download base image for node
  vars:
      source: "{{ item.value.import_url|default('') or node_dict.import_url|default('') or url }}"
  get_url:
      # Use default url if unless disk has a different source
      url: "{{ source }}"
      # use original basename explicitly, otherwise, "force" doesn't work
      dest: "{{ base_image_path }}/{{ source | basename }}"
      # Download new images only.
      force: "{{ item.value.force_image_download|default(false)|bool or provision.force.image.download }}"
      validate_certs: "{{ url.startswith('https://url.corp.redhat.com/') | ternary(false, omit)}}"
      owner: qemu
      group: qemu
      timeout: 30
  register: download_image_result
  until: download_image_result.msg.find("Request failed") == -1
  retries: 5
  delay: 5
  with_dict: "{{ topology_node.disks }}"
  when: topology_node.disks|count > 0

- name: result of download base image for node
  debug:
    var: download_image_result

- name: adjust base image for this run
  shell: |
      set -ex
      export LIBGUESTFS_BACKEND=direct
      virt-sysprep -a {{ item.dest }} \
          --operations dhcp-client-state,dhcp-server-state,net-hostname,net-hwaddr,udev-persistent-net

      virt-customize -a {{ item.dest }} \
      {% if not item.item.value.image_url|default('') %}
      {% endif %}
          --root-password password:redhat \
          --run-command 'echo "UseDNS no" >> /etc/ssh/sshd_config' \
          --mkdir /root/.ssh \
          --chmod 0700:/root/.ssh \
          --upload /root/.ssh/id_rsa.pub:/root/.ssh/authorized_keys \
          --delete /etc/dhcp/dhclient.conf \
          --selinux-relabel
  with_items: "{{ download_image_result.results }}"
  when: item is changed


[stack@undercloud-0 ~]$ systemctl status os-collect-config
● os-collect-config.service - Collect metadata and run hook commands.
   Loaded: loaded (/usr/lib/systemd/system/os-collect-config.service; disabled; vendor preset: disabled)
   Active: inactive (dead)

Comment 7 errata-xmlrpc 2018-08-20 13:01:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.